ZooKeeper
  1. ZooKeeper
  2. ZOOKEEPER-420

build/test should not require install in zkpython

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.2.2, 3.3.0
    • Component/s: contrib-bindings
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      Currently you cannot just build and test the zkpython contrib, you need to actually install the zookeeper client c library as well
      as the zkpython lib itself.

      There really needs to be 2 steps:

      1) build/test zkpython "encapsulated" within the src repository, there should be no requirement to actually install anything
      (this is esp the case for automated processes and for review by PMC during release time for example)
      2) build an egg that can be distributed/installed by end user

      1. ZOOKEEPER-420.patch
        3 kB
        Patrick Hunt
      2. ZOOKEEPER-420.patch
        3 kB
        Mahadev konar
      3. ZOOKEEPER-420.patch
        3 kB
        Henry Robinson
      4. ZOOKEEPER-420.patch
        2 kB
        Henry Robinson
      5. build.jpg
        490 kB
        Henry Robinson
      6. ZOOKEEPER-420.patch
        1 kB
        Henry Robinson

        Activity

        No work has yet been logged on this issue.

          People

          • Assignee:
            Henry Robinson
            Reporter:
            Patrick Hunt
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development